package com.bonus.canteen.core.notice.print.v2.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.notice.print.v2.dto.NoticePrintTemplateSettingAddDTO;
import com.bonus.canteen.core.notice.print.v2.model.NoticePrintTemplateSetting;
import com.bonus.canteen.core.notice.print.v2.vo.NoticePrintTemplateSettingVO;

import java.util.List;

public interface NoticePrintTemplateSettingService extends IService<NoticePrintTemplateSetting> {
   void addNoticePrintTemplateSetting(Long templateId, List<NoticePrintTemplateSettingAddDTO> settingList, Integer deviceType);

   void updateNoticePrintTemplateSetting(Long templateId, List<NoticePrintTemplateSettingAddDTO> settingList, Integer deviceType);

   void deleteNoticePrintTemplateSetting(Long templateId, Integer deviceType);

   List<NoticePrintTemplateSettingVO> getTemplateSettingList(Long templateId);

   List<NoticePrintTemplateSettingVO> getTemplateSettingList(List<Long> templateIdList);
}
